<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'auth_samlidp', language 'en'.
 *
 * @package   auth_samlidp
 * @copyright 2017 Enovation Solutions {http://enovation.ie}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['pluginname'] = 'SAML Identity Provider';
$string['auth_samlidpdescription'] = 'This is configuration of an Identity Provider authentication site';
$string['coderoot_key'] = 'SimpleSAMLphp installation directory';
$string['coderoot_help'] = 'Absolute path';
$string['authsource_key'] = 'Auth source';
$string['authsource_help'] = 'Configured in SimpleSAMLphp in config/authsources.php';

$string['privacy:metadata:externalpurpose'] = 'The SAML Identity Provider plugin authenticates a user against Moodle and sends user profile fields to a Service Provider';
$string['privacy:metadata:id'] = 'Id';
$string['privacy:metadata:confirmed'] = 'Confirmed';
$string['privacy:metadata:policyagreed'] = 'Policyagreed';
$string['privacy:metadata:deleted'] = 'Deleted';
$string['privacy:metadata:suspended'] = 'Suspended';
$string['privacy:metadata:mnethostid'] = 'Mnethostid';
$string['privacy:metadata:username'] = 'Username';
$string['privacy:metadata:idnumber'] = 'Idnumber';
$string['privacy:metadata:firstname'] = 'Firstname';
$string['privacy:metadata:lastname'] = 'Lastname';
$string['privacy:metadata:email'] = 'Email';
$string['privacy:metadata:emailstop'] = 'Emailstop';
$string['privacy:metadata:icq'] = 'Icq';
$string['privacy:metadata:skype'] = 'Skype';
$string['privacy:metadata:yahoo'] = 'Yahoo';
$string['privacy:metadata:aim'] = 'Aim';
$string['privacy:metadata:msn'] = 'Msn';
$string['privacy:metadata:phone1'] = 'Phone1';
$string['privacy:metadata:phone2'] = 'Phone2';
$string['privacy:metadata:institution'] = 'Institution';
$string['privacy:metadata:department'] = 'Department';
$string['privacy:metadata:address'] = 'Address';
$string['privacy:metadata:city'] = 'City';
$string['privacy:metadata:country'] = 'Country';
$string['privacy:metadata:lang'] = 'Lang';
$string['privacy:metadata:calendartype'] = 'Calendartype';
$string['privacy:metadata:theme'] = 'Theme';
$string['privacy:metadata:timezone'] = 'Timezone';
$string['privacy:metadata:firstaccess'] = 'Firstaccess';
$string['privacy:metadata:lastaccess'] = 'Lastaccess';
$string['privacy:metadata:lastlogin'] = 'Lastlogin';
$string['privacy:metadata:currentlogin'] = 'Currentlogin';
$string['privacy:metadata:lastip'] = 'Lastip';
$string['privacy:metadata:picture'] = 'Picture';
$string['privacy:metadata:url'] = 'Url';
$string['privacy:metadata:description'] = 'Description';
$string['privacy:metadata:descriptionformat'] = 'Descriptionformat';
$string['privacy:metadata:mailformat'] = 'Mailformat';
$string['privacy:metadata:maildigest'] = 'Maildigest';
$string['privacy:metadata:maildisplay'] = 'Maildisplay';
$string['privacy:metadata:autosubscribe'] = 'Autosubscribe';
$string['privacy:metadata:trackforums'] = 'Trackforums';
$string['privacy:metadata:timecreated'] = 'Timecreated';
$string['privacy:metadata:timemodified'] = 'Timemodified';
$string['privacy:metadata:trustbitmask'] = 'Trustbitmask';
$string['privacy:metadata:imagealt'] = 'Imagealt';
$string['privacy:metadata:lastnamephonetic'] = 'Lastnamephonetic';
$string['privacy:metadata:firstnamephonetic'] = 'Firstnamephonetic';
$string['privacy:metadata:middlename'] = 'Middlename';
$string['privacy:metadata:alternatename'] = 'Alternatename';
$string['privacy:metadata:profilefield'] = 'Custom profile field';
